## org.exist.http.test
Class RESTServiceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.http.test.RESTServiceTest

All Implemented Interfaces:
  junit.framework.Test

public class RESTServiceTest
extends junit.framework.TestCase

A test case for accessing a remote server via REST-Style Web API.

Author:
  wolf, Pierrick Brihaye <pierrick.brihaye@free.fr>

Constructor Summary
`RESTServiceTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testPut()`
`void` `testPutFailAgainstCollection()`
`void` `testPutWithCharset()`
`void` `testQueryGet()`
`void` `testQueryPost()`
`void` `testRequestGetParameterFromModule()`
`void` `testRequestModule()`
`void` `testStoredQuery()`
`void` `testXUpdate()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RESTServiceTest

    public RESTServiceTest(java.lang.String name)

Method Detail

### testPut

    public void testPut()

### testPutFailAgainstCollection

    public void testPutFailAgainstCollection()

### testPutWithCharset

    public void testPutWithCharset()

### testXUpdate

    public void testXUpdate()

### testQueryPost

    public void testQueryPost()

### testQueryGet

    public void testQueryGet()

### testRequestModule

    public void testRequestModule()

### testRequestGetParameterFromModule

    public void testRequestGetParameterFromModule()

### testStoredQuery

    public void testStoredQuery()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.